com.saxonica.schema.fsa

## Class DeterminizedState

- java.lang.Object
- - com.saxonica.schema.fsa.AutomatonState
  - - com.saxonica.schema.fsa.DeterminizedState

- All Implemented Interfaces:
    State, Serializable

      public class DeterminizedState
      extends AutomatonState

  A state in a determinized finite state machine
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.saxonica.schema.fsa.AutomatonState

      `EMPTY_EDGE_ARRAY, wildcardEdges`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeterminizedState(FiniteStateMachine machine)` Create a new state

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IntSet` | `getProvenance()` Get the provenance of a state in a determinized finite state machine.
    `void` | `setProvenance(IntSet provenance)` Set the provenance of a state in a determinized finite state machine.

    - ### Methods inherited from class com.saxonica.schema.fsa.AutomatonState

      `addSpecificTransition, addWildcardTransition, display, displayLambdaTransitions, displayState, getEdges, getMaxTransition, getStateNumber, getTransition, getWildcardEdges, isConditionallyFinalState, isFinalState, listAllowedElements, requiresCounter, serialize, setFinalState, setLimits, setMaxTransition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeterminizedState

          public DeterminizedState(FiniteStateMachine machine)

      Create a new state
      Parameters:
        `machine` - the finite state machine to which this state belongs

  - ### Method Detail

    - #### setProvenance

          public void setProvenance(IntSet provenance)

      Set the provenance of a state in a determinized finite state machine. This is the set of corresponding states in the non-determinized FSA
      Parameters:
        `provenance` - the set of states in the non-deterministic FSA to which this state in the deterministic FSA corresponds. May be set to null when the information is no longer needed (specifically, once construction is complete).

    - #### getProvenance

          public IntSet getProvenance()

      Get the provenance of a state in a determinized finite state machine. This is the set of corresponding states in the non-determinized FSA
      Returns:
        the set of states in the non-deterministic FSA to which this state in the may be null is ininitially null indicating unknown or not relevant.

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.